/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "options.h"

#include <iostream>
using namespace std;

#include <qstring.h>

Options::Options(): options()
{
}

void Options::setValue(QString key, QString value) {
	map<QString,QString>::value_type v(key,value);
	options.insert(v);
}

bool Options::isEmpty() {
	return options.empty();
}

void Options::clear() {
	options.clear();
}

QString Options::operator[](QString key) {
	if(options.find(key)!=options.end())
		return options[key];
	else
		return "";
}

Options* Options::defaultOptions(){
	Options *o=new Options();

	//input-output
	o->setValue("blackLevel","0.5");
 	o->setValue("invertInput","n");
 	o->setValue("outputFileName","");
 	o->setValue("outputFormat","eps");
	o->setValue("pageSize","letter");
	o->setValue("optimizedNumericalCode","y");
	o->setValue("compressionLevel","2");

	//Color
	o->setValue("foregroundBtn","#000000");
	o->setValue("backgroundBtn","#F8F9FB");

 	//Algorithm
 	o->setValue("policy","minority");
 	o->setValue("despeckle","0");
 	o->setValue("cornerThreshold","1.00");
 	o->setValue("optimizationTolerance","0.2");
 	o->setValue("outputQuantization","10");
 	o->setValue("curveOptimization","y");

 	//Transformation
 	o->setValue("width","0.0");
 	o->setValue("height","0.0");
 	o->setValue("stretch","1.0");
 	o->setValue("rotation","0.0");

 	//Resolution
 	o->setValue("resolution","0.0");

 	//Margins
	o->setValue("margins","0.0");

	return o;
}
