/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef SETTINGS_H
#define SETTINGS_H

#include <settingsBase.h>

/**
  * This class lets the user modify the app's global settings (at this time only potrace's path and the previewer). The settings are stored and restored every time the app is executed.
  * @short Class representing the global settings for this app
  * @author Antonio Fasolato
  */
class Settings : public SettingsBase
{
public:
	/**
	  * tHE constructor: creates the dialog and loads old settings through a Configuration singleton.
	  * @short constructor: creates the dialog and loads old settings
	  */
    Settings();

public slots:
	/**
	  * This function closes the settings dialog, saving the settings permanently, through a Configuration object
	  * @short exits saving settings
	  */
    virtual void exitOK();
	/**
	  * This function reloads the default settings, defined at compile time.
	  * @short Restores default settings
	  */
    virtual void defaultSettings();
	/**
	  * Lets you browse for potrace's executable
	  * @short Selects potrace's executable
	  */
	virtual void selectPotrace();
	/**
	  * Lets you browse for a viewers's executable
	  * @short Selects viewer's executable
	  */
	virtual void selectPreview();
};

#endif
